
Foreman - Refactor #36219

use YAML.safe_load instead of YAML.load

03/22/2023 05:05 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Security   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9660,

https://github.com/theforeman/foreman/p

ull/9782

  

Description

https://www.rubydoc.info/gems/rubocop/RuboCop/Cop/Security/YAMLLoad

Associated revisions

Revision c9b82a57 - 07/13/2023 10:38 AM - Ron Lavi

Fixes #36219 - use YAML.safe_load instead of YAML.load

as explained in this rubocop rule https://www.rubydoc.info/gems/rubocop/RuboCop/Cop/Security/YAMLLoad

Revision 414c1c6f - 07/13/2023 10:38 AM - Ron Lavi

Refs #36219 - remove redundant line

in parameters rake task, key_type_name was assigned twice

Revision 45afc2e0 - 08/01/2023 11:31 AM - Evgeni Golov

Refs #36219 - allow loading HashWithIndifferentAccess from YAML

Fixes: c9b82a573f64fe54e61d55f079adeb1df3d0cae8

History

#1 - 03/22/2023 05:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9660 added

#2 - 07/13/2023 10:39 AM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 07/13/2023 11:00 AM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c9b82a573f64fe54e61d55f079adeb1df3d0cae8.

#4 - 07/28/2023 09:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9782 added

#5 - 09/12/2023 08:36 AM - Ewoud Kohl van Wijngaarden

- Category set to Security

- Triaged changed from No to Yes
